<template>
    <div>
        <div class="form-group form-inline edit__set_block white-space">
            <h4>Display Settings</h4>
            <br>
            <h4>Display On:</h4>
            <br>
            <div class="form-inline pointer">
                <span>Exit Intent</span>
                <div class="form-group right">
                    <toggle-button
                        v-model="popup.exit_intent_active"
                        :sync="true"
                        :labels="true"
                        color="#2d77f5"
                        :height="24"
                        style="margin: 0 15px 0 0" 
                    />
                </div>
            </div>
            <br>
            <div class="form-inline pointer">
                <span>Time Delay</span>
                <div class="form-group right">
                    <toggle-button
                        v-model="popup.time_delay_active"
                        :sync="true"
                        :labels="true"
                        color="#2d77f5"
                        :height="24"
                        style="margin: 0 15px 0 0" 
                    />
                </div>
            </div>
            <div v-show="popup.time_delay_active">
                <br>
                <div class="title-text">
                    Display After:
                </div>
                <div class="row">
                    <div class="col-12 mb-2 col-md-6">
                        <validation-element
                            name="Display After"
                            id="display_after_seconds"
                            v-model="popup.display_after"
                            customInputClass="form-control"
                        />
                    </div>
                    <div class="col-12 mb-2 col-md-6">
                        <select
                            v-model="popup.display_after_type"
                            class="form-control full-width my-select-menu custom-select mt-0"
                        >
                            <option value="seconds">
                                Seconds
                            </option>
                            <option value="minutes">
                                Minutes
                            </option>
                        </select>
                    </div>
                </div>
            </div>
            <br>
            <div class="form-inline pointer">
                <span>Page Count</span>
                <div class="form-group right">
                    <toggle-button
                        v-model="popup.page_count_active"
                        :sync="true"
                        :labels="true"
                        color="#2d77f5"
                        :height="24"
                        style="margin: 0 15px 0 0" 
                    />
                </div>
            </div>
            <div v-show="popup.page_count_active">
                <br>
                <div class="title-text">
                    Display After:
                </div>
                <div class="row">
                    <div class="col-12 mb-2 col-md-5 display-after-container">
                        <validation-element
                            name="Display After"
                            id="display_after_pages"
                            v-model="popup.display_after_pages"
                            customInputClass="form-control"
                        />
                    </div>
                    <span style="margin-top: 10px">Pages</span>
                </div>
            </div>
            <br>

            <div class="form-inline pointer">
                <span>Page Scroll</span>
                <div class="form-group right">
                    <toggle-button
                        v-model="popup.page_scroll_active"
                        :sync="true"
                        :labels="true"
                        color="#2d77f5"
                        :height="24"
                        style="margin: 0 15px 0 0" 
                    />
                </div>
            </div>
            <div v-show="popup.page_scroll_active">
                <br>
                <div class="title-text">
                    Display After:
                </div>
                <div class="row">
                    <div class="col-12 mb-2 col-md-5 display-after-container">
                        <validation-element
                            id="display_after_percent"
                            name="Display After"
                            v-model="popup.display_after_percent"
                            customInputClass="form-control"
                        />
                        <span>%</span>
                    </div>
                </div>
            </div>
            <br>
            <div>
                <input
                    id="display_on_mobile"
                    v-model="popup.display_on_mobile"
                    type="checkbox"
                >
                <span class="title-text">Display on mobile devices</span>
            </div>
            <div>
                <input
                    id="display_on_desktop"
                    v-model="popup.display_on_desktop"
                    type="checkbox"
                >
                <span class="title-text">Display on desktop</span>
            </div>
        </div>
        <div class="form-group form-inline edit__set_block white-space">
            <h4>Page Filters</h4>
            <br>
            <div class="form-inline pointer filter-pointer">
                <span>Page Filters - display when URL</span>
                <div class="form-group right">
                    <toggle-button
                        v-model="popup.display_when_url_active"
                        :sync="true"
                        :labels="true"
                        color="#2d77f5"
                        :height="24"
                        style="margin: 0 15px 0 0" 
                    />
                </div>
            </div>
            <div v-show="popup.display_when_url_active">
                <div class="full-width">
                    <div
                        v-for="(filter, index) in popup.filters"
                        :key="index"
                        class="row"
                    >
                        <br>
                        <div
                            v-if="filter.type"
                            class="filter-type col-12 mb-2 col-md-12"
                        >
                            {{ filter.type }}
                        </div>
                        <br>
                        <div class="col-12 mb-2 col-md-6">
                            <select
                                id="icon_style"
                                v-model="filter.compare"
                                style="background-color: white;"
                                type="text"
                                class="form-control full-width my-select-menu custom-select mt-0"
                            >
                                <option value="equals">
                                    Equals
                                </option>
                                <option value="doesnt_equal">
                                    Doesn't equal
                                </option>
                                <option value="contains">
                                    Contains
                                </option>
                                <option value="doesnt_contain">
                                    Doesn't Contain
                                </option>
                                <option value="starts">
                                    Starts with
                                </option>
                                <option value="ends">
                                    Ends with
                                </option>
                            </select>
                        </div>
                        <div class="col-12 mb-2 col-md-6">
                            <div class="input-filters-container">
                                <input
                                    v-model="filter.value"
                                    type="text"
                                    class="form-control full-width"
                                >
                                <div
                                    v-if="index !== 0"
                                    class="close-filter-container"
                                    @click="deleteFilter(index)"
                                >
                                    <svg
                                        xmlns="http://www.w3.org/2000/svg"
                                        width="12"
                                        height="12"
                                        viewBox="0 0 12 12"
                                    >
                                        <path
                                            id="icons8-multiply"
                                            d="M5.394,4.293l-1.1,1.1,4.9,4.9-4.9,4.9,1.1,1.1,4.9-4.9,4.9,4.9,1.1-1.1-4.9-4.9,4.9-4.9-1.1-1.1-4.9,4.9Z"
                                            transform="translate(-4.293 -4.293)"
                                            fill="#c61e1e" 
                                        />
                                    </svg>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row full-width">
                    <div
                        class="col-12 mb-2 col-md-6"
                        @click="addFilter('and')"
                    >
                        <div class="center btn-add">
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                width="20"
                                height="20"
                                viewBox="0 0 20 20"
                            >
                                <path
                                    id="icons8-plus"
                                    d="M12,2A10,10,0,1,0,22,12,10,10,0,0,0,12,2Zm5,11H13v4H11V13H7V11h4V7h2v4h4Z"
                                    transform="translate(-2 -2)"
                                    fill="#4786ff" 
                                />
                            </svg>
                            <span class="padding-left">AND</span>
                        </div>
                    </div>
                    <div
                        class="col-12 mb-2 col-md-6"
                        @click="addFilter('or')"
                    >
                        <div class="center btn-add">
                            <svg
                                xmlns="http://www.w3.org/2000/svg"
                                width="20"
                                height="20"
                                viewBox="0 0 20 20"
                            >
                                <path
                                    id="icons8-plus"
                                    d="M12,2A10,10,0,1,0,22,12,10,10,0,0,0,12,2Zm5,11H13v4H11V13H7V11h4V7h2v4h4Z"
                                    transform="translate(-2 -2)"
                                    fill="#4786ff" 
                                />
                            </svg>
                            <span class="padding-left">OR</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-group form-inline edit__set_block white-space">
            <h4>Display Frequency</h4>
            <br>
            <div>
                <input
                    id="display_if_subscribed"
                    v-model="popup.display_if_subscribed"
                    type="checkbox"
                >
                <span class="title-text">Display for customers that already
                    subscribed</span>
            </div>
            <div>
                <input
                    id="once_per_customer"
                    v-model="popup.once_per_customer"
                    type="checkbox"
                >
                <span class="title-text">Only display once per customer</span>
            </div>
            <div v-if="popup.once_per_customer">
                <br>
                <div class="title-text">
                    Display pop up to each visitor on every
                </div>
                <br>
                <div class="row">
                    <div class="col-12 mb-2 col-md-5 display-after-container">
                        <validation-element
                            id="display_every_days"
                            name="display_every_days"
                            v-model="popup.display_every_days"
                            customClassInput="form-control"
                        />
                    </div>
                    <span style="margin-top: 10px;">Days</span>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import ValidationElement from '../elements/ValidationElement.vue';
export default {
  components: { ValidationElement },
    name: "DisplaySettings",
    props: {
        popup: Object
    },
    methods: {
        addFilter(type) {
            this.popup.filters.push({'type': type, 'values': '', 'compare': 'equals'})
        },
        deleteFilter(index) {
            this.popup.filters.splice(index, 1);
        }
    }
}
</script>
<style lang="scss">
.right {
    float: right;
}

.input-filters-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.center {
    margin: auto;
    width: 50%;
    padding: 10px;
    display: flex;
    justify-content: center;
}

.btn-add {
    border: solid 2px rgb(45, 119, 245);
    border-radius: 10px;
    vertical-align: middle;
    cursor: pointer;
    text-align: center;
    width: 100%;
    color: rgb(45, 119, 245);
}

.padding-left {
    padding-left: 5px;
}

.display-after-container {
    display: flex;
    align-items: center;

    span {
        margin-left: 5px;
    }
}

.close-filter-container {
    cursor: pointer;
    margin-left: 15px;
}

.filter-type {
    display: flex;
    align-items: center;
    height: 50px;
    float: left;
    text-transform: uppercase;
}

.email-container label {
    font-weight: 400 !important;
}

.right {
    float: right;
    display: -webkit-box;
    display: -ms-flexbox;
    align-items: center;
}


.form-inline {
    display: block;
}

textarea {
    height: auto !important;
}

.offer-text {
    font-family: inherit;
    font-weight: 500;
    line-height: 1.1;
    color: inherit;
    font-size: 18px;
}

.pointer {
    cursor: pointer;
    height: 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .right {
        display: flex;
    }
    @media(max-width: 770px) {
        justify-content: flex-start;
        .form-group {
            margin-left: 10px;
            margin-bottom: 0;
        }
        span {
            width: 150px;
            line-height: 100%;
            svg {
                margin-left: auto;
            }
        }
    }
}

.edit__set_block {
    padding: 20px;
}

.filter-pointer {
    margin-bottom: 40px;
}
</style>
